[tool.poetry]
name = "osrsbox"
version = "2.2.3"
description = "A complete and up-to-date database of Old School Runescape (OSRS) items, monsters and prayers accessible using a Python API."
readme="README.md"
homepage = "https://github.com/osrsbox/osrsbox-db"
repository = "https://github.com/osrsbox/osrsbox-db"
authors = ["PH01L <phoil@osrsbox.com>"]
license = "GPL-3.0-only"

[tool.poetry.dependencies]
python = "^3.6"
dataclasses = "python_version < 3.7"
aiohttp = "^3.8.1"
aiofiles = "^0.8.0"
deepdiff = "^5.7.0"
requests = "^2.27.1"
mwparserfromhell = "^0.6.4"
cchardet = "^2.1.7"
aiodns = "^3.0.0"
tqdm = "^4.63.0"
aiohttp-retry = "^2.4.6"
Cerberus = "^1.3.4"
dateparser = "^1.1.0"

[tool.poetry.dev-dependencies]
setuptools = "^51.0.0"
flake8 = "^4.0.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
